Mailinglist Archive: opensuse-updates (116 mails)

< Previous Next >
openSUSE-SU-2017:1569-1: moderate: Security update for tor
openSUSE Security Update: Security update for tor
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:1569-1
Rating: moderate
References: #1043455 #1043456
Cross-References: CVE-2017-0375 CVE-2017-0376
Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update to tor 0.2.9.11 fixes the following vulnerabilities:

- CVE-2017-0375: remotely triggerable assertion failure when a hidden
service handles a malformed BEGIN cell (bsc#1043455)
- CVE-2017-0376: remotely triggerable assertion failure caused by
receiving a BEGIN_DIR cell on a hidden service rendezvous circuit
(bsc#1043456)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-690=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

tor-0.2.9.11-8.3.1
tor-debuginfo-0.2.9.11-8.3.1
tor-debugsource-0.2.9.11-8.3.1


References:

https://www.suse.com/security/cve/CVE-2017-0375.html
https://www.suse.com/security/cve/CVE-2017-0376.html
https://bugzilla.suse.com/1043455
https://bugzilla.suse.com/1043456


< Previous Next >
This Thread
  • No further messages